Subject: Re:
From: [email-masked] (jman)

7 Jun 1997 02:24:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (Win95; I)
Original-To: John Cerney <[email-masked]>
Original-CC: Christian Soeller <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

Howdy,
 I found to fix this. Let your computer rest a few minutes before ya
build. I usually 
turn it off wait a few minutes turn it back on. Then build this may or
may not work for everyone but hey it works for me ;)

John Cerney wrote:
> 
> I can verify this. I have seen problems building perl extension lib DLLs on
> windows 95 (not NT) due to garbage characters after the base relocation section
> of the dll. It seems that if the base relocation section is not terminated by
> zeros, then the DLL won't load. DLLs built under windows 95 with gnuwin32
> appear to have garbage characters at the end of the base relocation section.
> This appears to happen somewhat randomly. Sometimes the DLL will build fine,
> sometimes it won't.
> 
> I built a simple program that will test for this condition (base relocation
> section not being terminated by zeros). I will attach it to this message. Just
> type dllcheck <dllname> to use. It will indicate if the DLL is OK or not.
> 
> I am currently using this program for building a port of perl/tk I am working
> on. On windows 95, I have a script setup to keep building a DLL until the
> dllcheck program says it is OK. This sometimes takes rebuilding the DLL 3 to 4
> times until it builds OK, without the garbage characters at the end of the base
> relocation section.
> 
> -John
> 
> 
>     ---------------------------------------------------------------
> 
>                    Name: dllcheck.exe
>     Part 1.2       Type: unspecified type (application/octet-stream)
>                Encoding: X-UUENCODE

-- 
Jason L. Esman aka _Jman
System Admin. Network Consultant
Irc Admin of irc.lx.net(newnet)
Co. Owner of Den Internet Services
http://www.lx.net && http://www.deninc.com
PGP Keys finger [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".